Getting Error API Key Not Set ??? Any Idea about this error......

Issue #253 closed
kali64amd
created an issue

hi there....

I'm getting error (please see below) in kali 2017 main rolling, recon-ng v4.9.1

It was fine in earlier version however after upgrading kali 2017 getting this error...

Any Idea??? Appreciate your help

!] 'bing_api' key not set. bing_linkedin_cache module will likely fail at runtime. See 'keys add'.
[!] 'linkedin_api' key not set. linkedin_auth module will likely fail at runtime. See 'keys add'.
[!] 'linkedin_secret' key not set. linkedin_auth module will likely fail at runtime. See 'keys add'.
[!] 'jigsaw_username' key not set. purchase_contact module will likely fail at runtime. See 'keys add'.
[!] 'jigsaw_password' key not set. purchase_contact module will likely fail at runtime. See 'keys add'.
[!] 'jigsaw_api' key not set. purchase_contact module will likely fail at runtime. See 'keys add'.
[!] 'jigsaw_username' key not set. point_usage module will likely fail at runtime. See 'keys add'.
[!] 'jigsaw_password' key not set. point_usage module will likely fail at runtime. See 'keys add'.
[!] 'jigsaw_api' key not set. point_usage module will likely fail at runtime. See 'keys add'.
[!] 'jigsaw_api' key not set. search_contacts module will likely fail at runtime. See 'keys add'.
[!] 'github_api' key not set. github_repos module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_api' key not set. api_usage module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_secret' key not set. api_usage module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_api' key not set. account_creds module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_secret' key not set. account_creds module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_iv' key not set. account_creds module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_api' key not set. domain_creds module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_secret' key not set. domain_creds module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_iv' key not set. domain_creds module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_api' key not set. domain_ispwned module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_secret' key not set. domain_ispwned module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_api' key not set. leaks_dump module will likely fail at runtime. See 'keys add'.
[!] 'pwnedlist_secret' key not set. leaks_dump module will likely fail at runtime. See 'keys add'.
[!] 'twitter_api' key not set. twitter_mentioned module will likely fail at runtime. See 'keys add'.
[!] 'twitter_secret' key not set. twitter_mentioned module will likely fail at runtime. See 'keys add'.
[!] 'twitter_api' key not set. twitter_mentions module will likely fail at runtime. See 'keys add'.
[!] 'twitter_secret' key not set. twitter_mentions module will likely fail at runtime. See 'keys add'.
[!] 'instagram_api' key not set. instagram module will likely fail at runtime. See 'keys add'.
[!] 'instagram_secret' key not set. instagram module will likely fail at runtime. See 'keys add'.
[!] 'twitter_api' key not set. twitter module will likely fail at runtime. See 'keys add'.
[!] 'twitter_secret' key not set. twitter module will likely fail at runtime. See 'keys add'.
[!] 'shodan_api' key not set. shodan module will likely fail at runtime. See 'keys add'.
[!] 'flickr_api' key not set. flickr module will likely fail at runtime. See 'keys add'.
[!] 'google_api' key not set. youtube module will likely fail at runtime. See 'keys add'.
[!] 'hashes_api' key not set. hashes_org module will likely fail at runtime. See 'keys add'.
[!] 'ipinfodb_api' key not set. ipinfodb module will likely fail at runtime. See 'keys add'.
[!] 'bing_api' key not set. bing_ip module will likely fail at runtime. See 'keys add'.
[!] 'shodan_api' key not set. shodan_net module will likely fail at runtime. See 'keys add'.
[!] 'github_api' key not set. github_users module will likely fail at runtime. See 'keys add'.
[!] 'github_api' key not set. github_miner module will likely fail at runtime. See 'keys add'.
[!] 'github_api' key not set. github_dorks module will likely fail at runtime. See 'keys add'.
[!] 'fullcontact_api' key not set. fullcontact module will likely fail at runtime. See 'keys add'.
[!] 'shodan_api' key not set. shodan_ip module will likely fail at runtime. See 'keys add'.
[!] 'google_api' key not set. google_site_api module will likely fail at runtime. See 'keys add'.
[!] 'google_cse' key not set. google_site_api module will likely fail at runtime. See 'keys add'.
[!] 'builtwith_api' key not set. builtwith module will likely fail at runtime. See 'keys add'.
[!] 'bing_api' key not set. bing_domain_api module will likely fail at runtime. See 'keys add'.
[!] 'shodan_api' key not set. shodan_hostname module will likely fail at runtime. See 'keys add'.
[!] 'github_api' key not set. github_commits module will likely fail at runtime. See 'keys add'.
[!] 'censysio_id' key not set. censysio module will likely fail at runtime. See 'keys add'.
[!] 'censysio_secret' key not set. censysio module will likely fail at runtime. See 'keys add'.

Comments (8)

  1. Brian King

    This is just recon-ng telling you at startup that there are modules that require API keys that you don't have configured. You can safely continue. It'll complain again if you try to use one of those later.

  2. Tim Tomes repo owner

    Yep. Thanks Brian. These are just warnings letting you know that you don't have API keys in place. I was getting a lot of complaints from folks about modules failing because they didn't have API keys installed. Now the framework tells you so that you won't be surprised when a module doesn't work.

  3. Tim Tomes repo owner

    You should only be getting these errors for modules that use keys that you do not have set. If you believe you have set them, then you may have set them improperly. Run show keys to make sure.

  4. Log in to comment